CLK_DISABLE(9)

NAME
clk_disable - inform the system when the clock source is no longer required.

SYNOPSIS

void clk_disable(struct clk * clk);

ARGUMENTS

clk
    clock source

DESCRIPTION

Inform the system that a clock source is no longer required by a driver and may be shut down.

May be called from atomic contexts.

IMPLEMENTATION DETAIL

if the clock source is shared between multiple drivers, clk_enable calls must be balanced by the same number of clk_disable calls for the clock source to be disabled.

COPYRIGHT